<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>酒店地图_{$cfg_webname}</title>
<meta name="description" content="酒店地图_$cfg_webname" />
<meta name="keywords" content="酒店地图_$cfg_webname" />
<link href="{$BASE_V}style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" language="javascript" src="http://api.mapbar.com/api/mapbar31.2.js"></script>
<script language="JavaScript"  type="text/javascript" >
var maplet=null,mData=[$jsItem],mks=new Array(),items=[$hotels];

function ListMap(){
	maplet = new Maplet("DP_Map_Show");
	maplet.centerAndZoom(new MPoint('北京市'),8);
	maplet.addControl(new MStandardControl());
	maplet.showOverview(false);	
for(var j=0;j<items.length;j++){
	for(var i=0;i<mData.length;i++){
	if(items[j]==mData[i][0]){
		var mk=new MMarker(   
				new MPoint(mData[i][3]),   
				new MIcon("{$BASE_V}images/No/"+(i+1)+".gif",17,22),   
				new MInfoWindow(mData[i][1],'<img src="'+mData[i][2]+'" width="86" height="68" align="left" style="margin:5px;">名称：'+mData[i][1]+'<br>价格：最低'+mData[i][5]+'元起订<br>地址：'+mData[i][4]+'<br><a href="{PHP_SELF}?m=hotelinfo&hotel_id='+mData[i][0]+'" target="_blank">了解酒店详情>></a>'),
				null
				//new MLabel(mData[i][6]+'米',10,-8,80),
				); 
		maplet.setIwStdSize(300,150); 
		mk.closureData = i;
		MEvent.addListener(mk,"click",function(m){openMInfo(m.closureData);});
		maplet.addOverlay(mk);
		mks.push(mk);
	}
	}
}
	maplet.setAutoZoom();
};
function openMInfo(n){
	mks[n].openInfoWindow();
	window.parent.rollhotel(n);
}
window.onload=function(){ListMap();	};
</script>
<style>*{font-size:12px}</style>
</head>
<body  style="margin:0px;padding:0px;">
<div id="DP_Map_Show" style="margin:0px;padding:0px;width:{$w}px; height:{$h}px;border:0px #CCC solid;"></div>
</body>
</html>